Package org.eclipse.cdt.utils.coff

## Class Coff.Symbol

- java.lang.Object
- - org.eclipse.cdt.utils.coff.Coff.Symbol

Enclosing class:
  Coff

    public static class Coff.Symbol
    extends Object

### Field Summary

Fields
`byte[]` `_n_name`
`static int` `DT_ARY`
`static int` `DT_FCN`
`static int` `DT_NON`
`static int` `DT_PTR`
`int` `n_aux_fcn_size`
`short` `n_aux_lnno`
`short` `n_aux_size`
`static int` `N_BTSHFT`
`byte` `n_numaux`
`byte` `n_sclass`
`short` `n_scnum`
`static int` `N_TMASK`
`static int` `N_TSHIFT`
`int` `n_type`
`int` `n_value`
`static int` `SYMNMLEN`
`static int` `SYMSZ`
`static int` `T_CHAR`
`static int` `T_DOUBLE`
`static int` `T_ENUM`
`static int` `T_FLOAT`
`static int` `T_INT`
`static int` `T_LNGDBL`
`static int` `T_LONG`
`static int` `T_MOE`
`static int` `T_NULL`
`static int` `T_SHORT`
`static int` `T_STRUCT`
`static int` `T_UCHAR`
`static int` `T_UINT`
`static int` `T_ULONG`
`static int` `T_UNION`
`static int` `T_USHORT`
`static int` `T_VOID`

### Constructor Summary

Constructors
`Symbol​(RandomAccessFile file)`
`Symbol​(RandomAccessFile file, boolean is64Bit)`
`Symbol​(RandomAccessFile file, long offset)`
`Symbol​(RandomAccessFile file, long offset, boolean is64Bit)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`String` `getName​(byte[] table)`
`int` `getSize()`
`boolean` `isArray()`
`boolean` `isFunction()`
`boolean` `isLongName()`
`boolean` `isNoSymbol()`
`boolean` `isPointer()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### SYMSZ

    public static final int SYMSZ

See Also:
  Constant Field Values

#### SYMNMLEN

    public static final int SYMNMLEN

See Also:
  Constant Field Values

#### DT_NON

    public static final int DT_NON

See Also:
  Constant Field Values

#### DT_PTR

    public static final int DT_PTR

See Also:
  Constant Field Values

#### DT_FCN

    public static final int DT_FCN

See Also:
  Constant Field Values

#### DT_ARY

    public static final int DT_ARY

See Also:
  Constant Field Values

#### N_TMASK

    public static final int N_TMASK

See Also:
  Constant Field Values

#### N_BTSHFT

    public static final int N_BTSHFT

See Also:
  Constant Field Values

#### N_TSHIFT

    public static final int N_TSHIFT

See Also:
  Constant Field Values

#### T_NULL

    public static final int T_NULL

Since:
  5.3
See Also:
  Constant Field Values

#### T_VOID

    public static final int T_VOID

Since:
  5.3
See Also:
  Constant Field Values

#### T_CHAR

    public static final int T_CHAR

Since:
  5.3
See Also:
  Constant Field Values

#### T_SHORT

    public static final int T_SHORT

Since:
  5.3
See Also:
  Constant Field Values

#### T_INT

    public static final int T_INT

Since:
  5.3
See Also:
  Constant Field Values

#### T_LONG

    public static final int T_LONG

Since:
  5.3
See Also:
  Constant Field Values

#### T_FLOAT

    public static final int T_FLOAT

Since:
  5.3
See Also:
  Constant Field Values

#### T_DOUBLE

    public static final int T_DOUBLE

Since:
  5.3
See Also:
  Constant Field Values

#### T_STRUCT

    public static final int T_STRUCT

Since:
  5.3
See Also:
  Constant Field Values

#### T_UNION

    public static final int T_UNION

Since:
  5.3
See Also:
  Constant Field Values

#### T_ENUM

    public static final int T_ENUM

Since:
  5.3
See Also:
  Constant Field Values

#### T_MOE

    public static final int T_MOE

Since:
  5.3
See Also:
  Constant Field Values

#### T_UCHAR

    public static final int T_UCHAR

Since:
  5.3
See Also:
  Constant Field Values

#### T_USHORT

    public static final int T_USHORT

Since:
  5.3
See Also:
  Constant Field Values

#### T_UINT

    public static final int T_UINT

Since:
  5.3
See Also:
  Constant Field Values

#### T_ULONG

    public static final int T_ULONG

Since:
  5.3
See Also:
  Constant Field Values

#### T_LNGDBL

    public static final int T_LNGDBL

Since:
  5.3
See Also:
  Constant Field Values

#### _n_name

    public byte[] _n_name

#### n_value

    public int n_value

#### n_scnum

    public short n_scnum

#### n_type

    public int n_type

#### n_sclass

    public byte n_sclass

#### n_numaux

    public byte n_numaux

#### n_aux_lnno

    public short n_aux_lnno

Since:
  5.4

#### n_aux_size

    public short n_aux_size

Since:
  5.4

#### n_aux_fcn_size

    public int n_aux_fcn_size

Since:
  5.4

### Constructor Detail

#### Symbol

    public Symbol​(RandomAccessFile file)
           throws IOException

Throws:
  `IOException`

#### Symbol

    public Symbol​(RandomAccessFile file,
                  long offset)
           throws IOException

Throws:
  `IOException`

#### Symbol

    public Symbol​(RandomAccessFile file,
                  boolean is64Bit)
           throws IOException

Throws:
  `IOException`
Since:
  5.4

#### Symbol

    public Symbol​(RandomAccessFile file,
                  long offset,
                  boolean is64Bit)
           throws IOException

Throws:
  `IOException`
Since:
  5.4

### Method Detail

#### isLongName

    public boolean isLongName()

#### getName

    public String getName()

#### getName

    public String getName​(byte[] table)

#### isNoSymbol

    public boolean isNoSymbol()

Since:
  5.3

#### isPointer

    public boolean isPointer()

#### isFunction

    public boolean isFunction()

#### isArray

    public boolean isArray()

#### getSize

    public int getSize()

Since:
  5.4

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`